Announcement

Collapse
No announcement yet.

Intel's Iris Gallium3D Driver Now Has Better OpenGL Compatibility Profile Support

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Intel's Iris Gallium3D Driver Now Has Better OpenGL Compatibility Profile Support

    Phoronix: Intel's Iris Gallium3D Driver Now Has Better OpenGL Compatibility Profile Support

    Intel's modern "Iris" Gallium3D driver has exposed GLSL 4.60 compatibility (the shading language requirements for OpenGL 4.6) but when creating an OpenGL compatibility context it's been at 1.40 for the old OpenGL 3.1 requirements. Fortunately, the compatibility mode now too exposes 4.60 support...

    http://www.phoronix.com/scan.php?pag...-Compatibility

  • #2
    Valve open-source developer Timothy Arceri made the switch after discovering that all of the Piglit OpenGL regression tests were able to pass now with GLSL 460 enabled in the compatibility mode.
    Just a note, he didn't randomly make this "discovery." He's been submitting patches to fix up the tests that weren't working, this is just the end result of his work now that everything has been fixed.

    Comment


    • #3
      Can modesetting+glamorgl make use of iris driver?

      Comment

      Working...
      X